﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace mvvm_image_binding_occupied
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private string imagePath;

        public string ImagePath
        {
            get => imagePath;
            set
            {
                imagePath = value;
                RaiseChanged("ImagePath");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaiseChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
